### Enumeration

# GLib IOFlags

#### Declaration

    flags GLib.IOFlags

#### Description [src]

Specifies properties of a `GIOChannel`. Some of the flags can only be read with g_io_channel_get_flags(), but not changed with g_io_channel_set_flags().

#### Members

Name | Description
--- | ---
`G_IO_FLAG_NONE` | No special flags set. Since: 2.74
`G_IO_FLAG_APPEND` | Turns on append mode, corresponds to `O_APPEND` (see the documentation of the UNIX `open()` syscall)
`G_IO_FLAG_NONBLOCK` | Turns on nonblocking mode, corresponds to `O_NONBLOCK`/`O_NDELAY` (see the documentation of the UNIX `open()` syscall)
`G_IO_FLAG_IS_READABLE` | Indicates that the io channel is readable. This flag cannot be changed.
`G_IO_FLAG_IS_WRITABLE` | Indicates that the io channel is writable. This flag cannot be changed.
`G_IO_FLAG_IS_WRITEABLE` | A misspelled version of `G_IO_FLAG_IS_WRITABLE` that existed before the spelling was fixed in GLib 2.30. It is kept here for compatibility reasons. Deprecated since 2.30
`G_IO_FLAG_IS_SEEKABLE` | Indicates that the io channel is seekable, i.e. that `g_io_channel_seek_position()` can be used on it. This flag cannot be changed.
`G_IO_FLAG_MASK` | The mask that specifies all the valid flags.
`G_IO_FLAG_GET_MASK` | The mask of the flags that are returned from `g_io_channel_get_flags()`
`G_IO_FLAG_SET_MASK` | The mask of the flags that the user can modify with `g_io_channel_set_flags()`